function tipo_estatistica( tipo ) {
	
  document.getElementById("tabela_data").style.display = "block";
  
  if(tipo == "3" || tipo == "4") {  
  document.getElementById("tabela_data").style.display = "none";  
  }  
  
}

// Função para mascarar campos
function txtBoxFormat(objeto, sMask, evtKeyPress) {
    var i, nCount, sValue, fldLen, mskLen,bolMask, sCod, nTecla;

if(document.all) { // Internet Explorer
    nTecla = evtKeyPress.keyCode;
} else if(document.layers) { // Nestcape
    nTecla = evtKeyPress.which;
} else {
    nTecla = evtKeyPress.which;
    if (nTecla == 8) {
        return true;
    }
}

    sValue = objeto.value;

    // Limpa todos os caracteres de formatação que
    // já estiverem no campo.
    sValue = sValue.toString().replace( "-", "" );
    sValue = sValue.toString().replace( "-", "" );
    sValue = sValue.toString().replace( ".", "" );
    sValue = sValue.toString().replace( ".", "" );
    sValue = sValue.toString().replace( "/", "" );
    sValue = sValue.toString().replace( "/", "" );
    sValue = sValue.toString().replace( ":", "" );
    sValue = sValue.toString().replace( ":", "" );
    sValue = sValue.toString().replace( "(", "" );
    sValue = sValue.toString().replace( "(", "" );
    sValue = sValue.toString().replace( ")", "" );
    sValue = sValue.toString().replace( ")", "" );
    sValue = sValue.toString().replace( " ", "" );
    sValue = sValue.toString().replace( " ", "" );
    fldLen = sValue.length;
    mskLen = sMask.length;

    i = 0;
    nCount = 0;
    sCod = "";
    mskLen = fldLen;

    while (i <= mskLen) {
      bolMask = ((sMask.charAt(i) == "-") || (sMask.charAt(i) == ".") || (sMask.charAt(i) == "/") || (sMask.charAt(i) == ":"))
      bolMask = bolMask || ((sMask.charAt(i) == "(") || (sMask.charAt(i) == ")") || (sMask.charAt(i) == " "))

      if (bolMask) {
        sCod += sMask.charAt(i);
        mskLen++; }
      else {
        sCod += sValue.charAt(nCount);
        nCount++;
      }

      i++;
    }

    objeto.value = sCod;

    if (nTecla != 8) { // backspace
      if (sMask.charAt(i-1) == "9") { // apenas números...
        return ((nTecla > 47) && (nTecla < 58)); }
      else { // qualquer caracter...
        return true;
      }
    }
    else {
      return true;
    }
}

// Função para bloquear acentos
function bloquear_acentos( texto ) {
	
	if(texto.value.match(['[-@!#$%¨&*+_´`^~;:?áàãâäéèêëíìîïóòõôöúùûüçÁÀÃÂÄÉÈÊËÍÌÎÏÓÒÕÖÔÚÙÛÜÇ|\?,./{}"<>()]'])) {
		alert( "Atenção! Nâo use acentos ou carácteres especiais." );
		texto.value = texto.value.substring( 0 , ( texto.value.length - 1 ) );
	}
}

// Função para contar a quantidade de caracteres digitados num campo
function contar_caracteres( campo, maximo ) {
	
	var total_digitado = document.getElementById(campo).value.length;	
	document.getElementById('total_caracteres').innerHTML = maximo - total_digitado;

}

// Função para bloquear teclacapslock
function bloquear_capslock(ev,campo) {

	var e = ev || window.event;
	codigo_tecla = e.keyCode?e.keyCode:e.which;
	tecla_shift = e.shiftKey?e.shiftKey:((codigo_tecla == 16)?true:false);
	if(((codigo_tecla >= 65 && codigo_tecla <= 90) && !tecla_shift) || ((codigo_tecla >= 97 && codigo_tecla <= 122) && tecla_shift)) {
		alert("Ooops!\n\nA tecla CapsLock esta ativada!\n\nVocê deve desativar esta tecla para escrever corretamente os dados neste campo.");
		document.getElementById(campo).value = "";
	}

}

function abreviar(str, size) {

    if(str.length >= size){
        shortText = str.substring(0, size);
		shortText = shortText+"...";
    } else {
		shortText = str;
	}
	
    return shortText;
} 

function s2time(seconds){
  
  	var sec_num = parseInt(seconds);
    var hours   = Math.floor(sec_num / 3600);
  	var minutes = Math.floor((sec_num - (hours * 3600)) / 60);
  	var seconds = sec_num - (hours * 3600) - (minutes * 60);        
  	if (hours   < 10) {hours   = "0"+hours;}
  	if (minutes < 10) {minutes = "0"+minutes;}
  	if (seconds < 10) {seconds = "0"+seconds;}
  	var time    = hours+':'+minutes+':'+seconds;
  	return time;
  
}

function hide_show( local ) {
	
	if (document.getElementById(local).style.display=="block") {
		document.getElementById(local).style.display="none";
		setCookie(local, 'none', 7);
	} else {
		document.getElementById(local).style.display="block";
		setCookie(local, 'block', 7);
	}
	
}

function setCookie(c_name, value, exdays) {
    var exdate = new Date();
    exdate.setDate(exdate.getDate() + exdays);
    var c_value = escape(value) + ((exdays == null) ? "" : "; expires=" + exdate.toUTCString());
    document.cookie = c_name + "=" + c_value;
}

function getCookie(c_name) {
    var i, x, y, ARRcookies = document.cookie.split(";");
    for (i = 0; i < ARRcookies.length; i++) {
        x = ARRcookies[i].substr(0, ARRcookies[i].indexOf("="));
        y = ARRcookies[i].substr(ARRcookies[i].indexOf("=") + 1);
        x = x.replace(/^\s+|\s+$/g, "");
        if (x == c_name) {
            return unescape(y);
        }
    }
}

function removeRow(id) {
  var tr = document.getElementById(id);
  if (tr) {
    if (tr.nodeName == 'TR') {
      var tbl = tr; // Look up the hierarchy for TABLE
      while (tbl != document && tbl.nodeName != 'TABLE') {
        tbl = tbl.parentNode;
      }

      if (tbl && tbl.nodeName == 'TABLE') {
        while (tr.hasChildNodes()) {
          tr.removeChild( tr.lastChild );
        }
      tr.parentNode.removeChild( tr );
      }
    }
  }
}

function youtube_parser(url) {
    var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
    var match = url.match(regExp);
    return (match&&match[7].length==11)? match[7] : false;
}

function checar_caracteres_especiais( dados ) {

var pattern=/^[a-zA-Z0-9]*$/;
if (pattern.test(str) == true) {
return true;
} else {
return false;
}

}

function add3Dots(string, limit)
{
  var dots = "...";
  if(string.length > limit)
  {
    // you can also use substr instead of substring
    string = string.substring(0,limit) + dots;
  }

    return string;
}

function valida_opcoes_frequencia( frequencia ) {
	
document.getElementById("data_inicio").disabled = true;
document.getElementById("data_inicio").style.cursor = 'not-allowed';
document.getElementById("data_termino").disabled = true;
document.getElementById("data_termino").style.cursor = 'not-allowed';

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = true;
document.agendamentos.dias[cont].style.cursor = 'not-allowed';
}

if(frequencia == "1") {
document.getElementById("data_inicio").disabled = false;
document.getElementById("data_inicio").style.cursor = 'pointer';
document.getElementById("data_termino").disabled = false;
document.getElementById("data_termino").style.cursor = 'pointer';
}

if(frequencia == "3") {

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = false;
document.agendamentos.dias[cont].style.cursor = 'pointer';
}

}

}

function tipo_live(tipo) {

	if(tipo == "youtube") {
		document.getElementById("servidor_rtmp").value = "rtmp://a.rtmp.youtube.com/live2/";
	} else if(tipo == "twitch") {
		document.getElementById("servidor_rtmp").value = "rtmp://live-dfw.twitch.tv/app/";
	} else if(tipo == "periscope") {
		document.getElementById("servidor_rtmp").value = "rtmp://ca.pscp.tv:80/x/";
	} else if(tipo == "vimeo") {
		document.getElementById("servidor_rtmp").value = "rtmp://rtmp.cloud.vimeo.com/live/";
	} else if(tipo == "steam") {
		document.getElementById("servidor_rtmp").value = "rtmp://ingest-any-ord1.broadcast.steamcontent.com/app/";
	} else {
		document.getElementById("servidor_rtmp").value = "rtmps://live-api-s.facebook.com:443/rtmp/";	
	}

}

function limitTextarea(textarea, maxLines) {
        var lines = textarea.value.replace(/\r/g, '').split('\n'), lines_removed, i;
        if (maxLines && lines.length > maxLines) {
            lines = lines.slice(0, maxLines);
            lines_removed = 1
        }

            if (lines_removed) {
                textarea.value = lines.join('\n')
            }
    }

function preset( preset ) {

array_configuracoes = preset.split("|");

document.getElementById("video_bitrate").value = array_configuracoes[0];
document.getElementById("audio_bitrate").value = array_configuracoes[1];

}

function valida_opcoes_frequencia_agendamento( frequencia ) {
	
document.getElementById("data").disabled = true;

if(frequencia == "1") {
document.getElementById("data").disabled = false;
}

}

function validar_tipo_agendamento( tipo ) {

document.getElementById("codigo_playlist").disabled = true;
document.getElementById("servidor_relay").disabled = true;

if(tipo == "playlist"){
document.getElementById("codigo_playlist").disabled = false;
} else {
document.getElementById("servidor_relay").disabled = false;
}

}
function copiar_texto(texto) {

  var textArea = document.createElement("textarea");
    textArea.value = texto;
    document.body.appendChild(textArea);
    textArea.select();
    document.execCommand("Copy");
    textArea.remove();
}